Skip to main content
POST
/
v1
/
responses
Create Response
curl --request POST \
  --url https://www.anyfast.ai/v1/responses \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "doubao-seed-1-6-251015",
  "input": [
    {
      "role": "user",
      "content": [
        {
          "type": "input_image",
          "image_url": "https://ark-project.tos-cn-beijing.volces.com/doc_image/ark_demo_img_1.png"
        },
        {
          "type": "input_text",
          "text": "What is in this image?"
        }
      ]
    }
  ],
  "stream": false,
  "temperature": 1,
  "top_p": 0.5,
  "max_output_tokens": 2,
  "reasoning": {}
}
'
{
  "id": "resp_021774236829912",
  "object": "response",
  "created_at": 123,
  "completed_at": 123,
  "model": "doubao-seed-1-6-251015",
  "status": "completed",
  "output": [
    {
      "type": "message",
      "role": "assistant",
      "status": "completed",
      "content": [
        {
          "type": "output_text",
          "text": "The image contains 3 models: Doubao-Seed-1.8, DeepSeek-V3.2, GLM-4.7."
        }
      ]
    }
  ],
  "usage": {
    "input_tokens": 1355,
    "output_tokens": 87,
    "total_tokens": 1442,
    "output_tokens_details": {
      "reasoning_tokens": 53
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.anyfast.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model
enum<string>
required

The model to use.

Available options:
doubao-seed-2.0-pro,
doubao-seed-2.0-code,
doubao-seed-2.0-lite,
doubao-seed-2.0-mini,
doubao-seed-1-8-251228,
doubao-seed-1-6-flash-250828,
doubao-seed-1-6-251015,
doubao-seed-1-6-lite-251015,
doubao-seed-1-6-vision-250815,
glm-4.7
Example:

"doubao-seed-1-6-251015"

input
object[]
required

Input messages. Each item has role and content. For simple text you can also pass a plain string.

Content array item types:

  • input_text: {"type": "input_text", "text": "..."}
  • input_image: {"type": "input_image", "image_url": "https://..."}
  • input_video: {"type": "input_video", "video_url": "https://...", "fps": 1}
  • input_file: {"type": "input_file", "file_url": "https://..."}
Example:
[
{
"role": "user",
"content": [
{
"type": "input_image",
"image_url": "https://ark-project.tos-cn-beijing.volces.com/doc_image/ark_demo_img_1.png"
},
{
"type": "input_text",
"text": "What is in this image?"
}
]
}
]
stream
boolean
default:false

If true, stream partial response deltas using SSE.

temperature
number
default:1

Sampling temperature.

Required range: 0 <= x <= 2
Example:

1

top_p
number

Nucleus sampling threshold.

Required range: 0 <= x <= 1
max_output_tokens
integer

Maximum number of output tokens.

Required range: x >= 1
reasoning
object

Configuration for reasoning. Example: {"effort": "high"}.

Response

Response generated successfully

id
string
Example:

"resp_021774236829912"

object
string
Example:

"response"

created_at
integer
completed_at
integer
model
string
Example:

"doubao-seed-1-6-251015"

status
enum<string>
Available options:
completed,
failed,
in_progress,
incomplete
Example:

"completed"

output
object[]
usage
object